YeeAuth 文档
账户注册

通过手机验证码注册

POST
/api/v1/register/phone-code

通过手机验证码注册

Authorization

x-userpool-id<token>

IAM Userpool Id

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

*/*

*/*

*/*

*/*

*/*

curl -X POST "https://example.com/api/v1/register/phone-code" \  -H "Content-Type: application/json" \  -d '{    "phone": "string",    "code": "string"  }'
{  "code": 0,  "success": true,  "msg": "string",  "data": {    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "userpoolId": "string",    "isRoot": true,    "status": "string",    "userType": "string",    "code": "string",    "email": "string",    "secondaryEmail": "string",    "phone": "string",    "username": "string",    "nickname": "string",    "company": "string",    "photo": "string",    "browser": "string",    "device": "string",    "password": "string",    "loginsCount": 0,    "lastIp": "string",    "name": "string",    "website": "string",    "gender": "string",    "birthdate": "string",    "folk": "string",    "education": "string",    "zoneinfo": "string",    "locale": "string",    "address": "string",    "formatted": "string",    "streetAddress": "string",    "locality": "string",    "region": "string",    "postalCode": "string",    "city": "string",    "province": "string",    "country": "string",    "registerSource": "string",    "emailVerified": true,    "phoneVerified": true,    "lastLogin": "2019-08-24T14:15:22Z",    "signedUp": "2019-08-24T14:15:22Z",    "externalId": "string",    "mainDepartmentId": "string",    "mainDepartmentCode": "string",    "passwordSecurityLevel": 0,    "resetPasswordOnFirstLogin": true,    "phoneCountryCode": "string",    "resetedPassword": true,    "lastOrganizationUuid": "string",    "lastLoginApp": "string",    "lastLoginAppName": "string",    "lastLoginAppLogo": "string",    "resetPasswordOnNextLogin": true,    "expiredAt": "2019-08-24",    "perpetual": true,    "accessToken": "string",    "refreshToken": "string",    "orgs": [      {        "orgId": "string",        "nodeId": "string",        "code": "string",        "name": "string",        "fullLevelName": "string",        "isLeader": true      }    ],    "token": "string",    "tokenExpiredAt": "2019-08-24T14:15:22Z",    "newUser": true,    "unionid": "string",    "openid": "string",    "displayName": "string"  }}
{  "code": 0,  "success": true,  "msg": "string",  "data": {}}
{  "code": 0,  "success": true,  "msg": "string",  "data": {}}
{  "code": 0,  "success": true,  "msg": "string",  "data": {}}
{  "code": 0,  "success": true,  "msg": "string",  "data": {}}